#!/bin/sh
# Train I-O model
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training.io_mode="I-O" \
    data=ecqa \
    model=lm \
    model.arch=t5-base \
    model.optimizer.lr=1e-4 \
    model.scheduler.lr_scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0,1,2