#!/bin/sh
# Build full dataset for I-O model
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode I-O  --input_type task
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode I-O  --input_type task
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode I-O  --input_type task

python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode I-O  --input_type task-label
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode I-O  --input_type task-label
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode I-O  --input_type task-label

# Build sampled dataset for I-O model
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode I-O  --input_type task --num_samples 5000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode I-O  --input_type task --num_samples 1000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode I-O  --input_type task --num_samples 1000

python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode I-O  --input_type task-label --num_samples 5000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode I-O  --input_type task-label --num_samples 1000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode I-O  --input_type task-label --num_samples 1000


# Build full dataset for I-OR model
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode I-OR --input_type task
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode I-OR --input_type task
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode I-OR --input_type task

# Build sampled dataset for I-OR model
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode I-OR --input_type task --num_samples 5000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode I-OR --input_type task --num_samples 1000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode I-OR --input_type task --num_samples 1000


# Build full dataset for IR-O model
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode IR-O --input_type task
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode IR-O --input_type task
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode IR-O --input_type task

# Build sampled dataset for IR-O model
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split train --arch t5-large --io_mode IR-O --input_type task --num_samples 5000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split dev --arch t5-large --io_mode IR-O --input_type task --num_samples 1000
python scripts/build_dataset.py --data_dir ../data \
    --dataset esnli --split test --arch t5-large --io_mode IR-O --input_type task --num_samples 1000