# I-O baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4166/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4167/checkpoints/epoch=7-step=623.ckpt'" \
    training.io_mode="I-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4168/checkpoints/epoch=5-step=467.ckpt'" \
    training.io_mode="I-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# IR-O baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4169/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="IR-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4170/checkpoints/epoch=4-step=389.ckpt'" \
    training.io_mode="IR-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4171/checkpoints/epoch=6-step=545.ckpt'" \
    training.io_mode="IR-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# I-OR baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4178/checkpoints/epoch=9-step=779.ckpt'" \
    training.io_mode="I-OR" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4179/checkpoints/epoch=5-step=467.ckpt'" \
    training.io_mode="I-OR" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4180/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-OR" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# I-RO baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4181/checkpoints/epoch=9-step=779.ckpt'" \
    training.io_mode="I-RO" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4182/checkpoints/epoch=5-step=467.ckpt'" \
    training.io_mode="I-RO" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4183/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-RO" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-base \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# input + target
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4184/checkpoints/epoch=9-step=779.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4185/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4186/checkpoints/epoch=5-step=467.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True


# input (only)
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4187/checkpoints/epoch=5-step=467.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4188/checkpoints/epoch=0-step=77.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4189/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False


# target (only)
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4190/checkpoints/epoch=4-step=389.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4191/checkpoints/epoch=1-step=155.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4192/checkpoints/epoch=7-step=623.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-base \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True