# I-O baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4340/checkpoints/epoch=2-step=233.ckpt'" \
    training.io_mode="I-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4339/checkpoints/epoch=4-step=389.ckpt'" \
    training.io_mode="I-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4341/checkpoints/epoch=2-step=233.ckpt'" \
    training.io_mode="I-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# IR-O baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4342/checkpoints/epoch=4-step=389.ckpt'" \
    training.io_mode="IR-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4343/checkpoints/epoch=2-step=233.ckpt'" \
    training.io_mode="IR-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4344/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="IR-O" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# I-RO baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4349/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-RO" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4350/checkpoints/epoch=6-step=545.ckpt'" \
    training.io_mode="I-RO" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4351/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="I-RO" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# I-OR baseline
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4352/checkpoints/epoch=9-step=779.ckpt'" \
    training.io_mode="I-OR" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4353/checkpoints/epoch=7-step=623.ckpt'" \
    training.io_mode="I-OR" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4354/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="I-OR" \
    data=ecqa,qasc \
    model=lm \
    model.arch=t5-large \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=2


# input + target
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4364/checkpoints/epoch=6-step=727.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4365/checkpoints/epoch=2-step=311.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4366/checkpoints/epoch=7-step=831.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True


# input (only)
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4367/checkpoints/epoch=6-step=727.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4368/checkpoints/epoch=8-step=935.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4369/checkpoints/epoch=8-step=935.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False


# target (only)
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4370/checkpoints/epoch=9-step=1039.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4371/checkpoints/epoch=0-step=103.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=evaluate \
    training.ckpt_path="'LFTR-4372/checkpoints/epoch=7-step=831.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=ecqa,qasc \
    model=kd_lm \
    model.arch=t5-large \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True