python main.py -m \
    save_checkpoint=True \
    logger.offline=False \
    training.io_mode="IshuffledR-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=aux_lm \
    model.arch=t5-base \
    model.optimizer.lr=1E-4 \
    setup.train_batch_size=32 \
    setup.accumulate_grad_batches=2 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0,1,2

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-4997/checkpoints/epoch=4-step=389.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-4996/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-4998/checkpoints/epoch=7-step=623.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2



python main.py -m \
    save_checkpoint=True \
    logger.offline=False \
    training.io_mode="IshuffledR-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=aux_lm \
    model.arch=t5-large \
    model.optimizer.lr=5E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0,1,2

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5118/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-large \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=6 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=48 \
    setup.eval_batch_size=6 \
    setup.num_workers=3 \
    seed=0

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5126/checkpoints/epoch=2-step=233.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-large \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=6 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=48 \
    setup.eval_batch_size=6 \
    setup.num_workers=3 \
    seed=1

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5141/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-large \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=6 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=48 \
    setup.eval_batch_size=6 \
    setup.num_workers=3 \
    seed=2

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5118/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.aux_arch=t5-large \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.1 \
    model.optimizer.lr=3E-3,2E-3 \
    setup.train_batch_size=8 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=8 \
    setup.num_workers=3 \
    seed=0 \
    model.kd_input=True,False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5126/checkpoints/epoch=2-step=233.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.aux_arch=t5-large \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.1 \
    model.optimizer.lr=3E-3,2E-3 \
    setup.train_batch_size=8 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=8 \
    setup.num_workers=3 \
    seed=1 \
    model.kd_input=True,False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5141/checkpoints/epoch=3-step=311.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IshuffledR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.aux_arch=t5-large \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.1 \
    model.optimizer.lr=3E-3,2E-3 \
    setup.train_batch_size=8 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=8 \
    setup.num_workers=3 \
    seed=2 \
    model.kd_input=True,False \
    model.kd_target=True