python main.py -m \
    save_checkpoint=True \
    logger.offline=False \
    training.io_mode="IR-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=aux_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=1E-4 \
    setup.train_batch_size=32 \
    setup.accumulate_grad_batches=2 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0,1,2

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5205/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5206/checkpoints/epoch=2-step=233.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5207/checkpoints/epoch=8-step=701.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.kd_input=True \
    model.kd_target=False



python main.py -m \
    save_checkpoint=True \
    logger.offline=False \
    training.io_mode="IR-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=aux_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=5E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0,1,2

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5220/checkpoints/epoch=6-step=545.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=6 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=48 \
    setup.eval_batch_size=6 \
    setup.num_workers=3 \
    seed=0 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5221/checkpoints/epoch=6-step=545.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=6 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=48 \
    setup.eval_batch_size=6 \
    setup.num_workers=3 \
    seed=1 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5222/checkpoints/epoch=9-step=779.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    model=kd_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=5E-4 \
    setup.train_batch_size=6 \
    setup.accumulate_grad_batches=8 \
    setup.eff_train_batch_size=48 \
    setup.eval_batch_size=6 \
    setup.num_workers=3 \
    seed=2 \
    model.kd_input=True \
    model.kd_target=False
