python main.py -m \
    save_checkpoint=True \
    logger.offline=False \
    training.io_mode="IR-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=aux_lm \
    model.arch=t5-base \
    model.optimizer.lr=2E-4 \
    setup.train_batch_size=32 \
    setup.accumulate_grad_batches=2 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=32 \
    setup.num_workers=3 \
    seed=0,1,2

# input+output states
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3888/checkpoints/epoch=8-step=71.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3889/checkpoints/epoch=3-step=31.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3890/checkpoints/epoch=3-step=31.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=True

# input states
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3888/checkpoints/epoch=8-step=71.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3889/checkpoints/epoch=3-step=31.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3890/checkpoints/epoch=3-step=31.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-4 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=True \
    model.kd_target=False

# output states
python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3888/checkpoints/epoch=8-step=71.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3889/checkpoints/epoch=3-step=31.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-3890/checkpoints/epoch=3-step=31.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=openbookqa \
    data.num_train=500 \
    model=kd_lm \
    model.arch=t5-base \
    model.optimizer.lr=3E-5 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=4 \
    setup.eff_train_batch_size=64 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.no_task_loss=True \
    model.kd_input=False \
    model.kd_target=True
