python main.py -m \
    save_checkpoint=True \
    logger.offline=False \
    training.io_mode="IR-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=aux_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=3e-4 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0,1,2

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5208/checkpoints/epoch=8-step=728.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=kd_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5209/checkpoints/epoch=7-step=647.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=kd_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5210/checkpoints/epoch=8-step=728.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=kd_lm \
    model.arch=t5-base \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.kd_input=True \
    model.kd_target=False



python main.py -m \
    save_checkpoint=True \
    logger.offline=False \
    training.io_mode="IR-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=aux_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=5E-5 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0,1,2

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5217/checkpoints/epoch=7-step=647.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=kd_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=0 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5218/checkpoints/epoch=4-step=404.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=kd_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=1 \
    model.kd_input=True \
    model.kd_target=False

python main.py -m \
    save_checkpoint=False \
    logger.offline=False \
    training=finetune \
    training.ckpt_path="'LFTR-5219/checkpoints/epoch=9-step=809.ckpt'" \
    training.io_mode="I-O" \
    training.aux_io_mode="IR-O" \
    data=strategyqa \
    model=kd_lm \
    model.arch=t5-large \
    model.no_bottleneck=True \
    model.optimizer.lr=3E-4 \
    model/scheduler=linear_with_warmup \
    model.scheduler.warmup_updates=0.06 \
    setup.train_batch_size=16 \
    setup.accumulate_grad_batches=1 \
    setup.eff_train_batch_size=16 \
    setup.eval_batch_size=16 \
    setup.num_workers=3 \
    seed=2 \
    model.kd_input=True \
    model.kd_target=False
